{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EPE_D_DEBUT"; 
            externalType = DATE; 
            name = epeDDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EPE_D_FIN"; 
            externalType = DATE; 
            name = epeDFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EPE_KEY"; 
            externalType = NUMBER; 
            name = epeKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (epeKey); 
    cachesObjects = Y; 
    className = "org.cocktail.fwkcktlgrh.common.metier.EOEvaluationPeriode"; 
    classProperties = (dCreation, dModification, epeDDebut, epeDFin, tosEvaluation); 
    externalName = "FEVE.EVALUATION_PERIODE"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkgrh_EvaluationPeriode"; 
    primaryKeyAttributes = (epeKey); 
    relationships = (
        {
            deleteRule = EODeleteRuleCascade; 
            destination = "Fwkgrh_Evaluation"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = epeKey; sourceAttribute = epeKey; }); 
            name = tosEvaluation; 
            ownsDestination = Y; 
        }
    ); 
}
